Subject: Re: Xalan and path problem
From: Thomas Porschberg <[email-masked]>
To: Jonathan Arnold <[email-masked]>
Cc: [email-masked]
Date: Fri, 29 Sep 2006 15:45:53 +0200

Am Fri, 29 Sep 2006 09:30:06 -0400
schrieb Jonathan Arnold <[email-masked]>:

> Thomas Porschberg wrote:
> > Hi,
> > 
> > we use Xalan on our UNIX/LINUX machines and I want now to the same
> > on Cygwin. I installed Xerces+Xalan(the windows binaries).
> > 
> > In our UNIX scripts the call to Xalan is:
> > 
> > Xalan -o $RESULTFILE $XMLFILE $XSLFILE
> > 
> > where $RESULTFILE, $XMLFILE and $XSLFILE are specified as
> > UNIX-paths. 
> > 
> > That doesn't work under Cygwin I had to write:
> > 
> > Xalan -o `cygpath -w $RESULTFILE` ...
> > 
> > Of course I could now write
> > if $cywin ; then
> >  Xalan -o `cygpath -w $RESULTFILE` ...
> > else
> >  Xalan -o $RESULTFILE $XMLFILE $XSLFILE
> > fi
> > 
> > but I don't want change the script.
> > 
> > Is there another way to solve the problem ?
> 
> Yeah - get Xalan to understand unix paths. No Windows app will
> understand full cygwin paths, although most do understand the / as a
> path separator. Maybe you can create a cygwin version Xalan (whatever
> that is).
> 
Yes I tried that(building a Cygwin version) but struggled over some
make-errors.
But could it work ? If I achieve to compile the Xalan sources under
cygwin, then Xalan would be UNIX-Path aware, right ?

Thomas

-- 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/